43521members
218118posts

DCE 7.2.6 requested NFS version or transport protocol is not supported

Highlighted

DCE 7.2.6 requested NFS version or transport protocol is not supported

This question was originally posted on DCIM Support by paulds on 2017-03-10


Trying to edit the backup settings, changing the destination to be an NFS mount on a Netapp filer. The mount test fails, with this in the nbc.xml log:

ERRR - Failed to mount remote share: servername:/vol/backup Error: mount.nfs: requested NFS version or transport protocol is not supported mount.nfs: requested NFS version or transport protocol is not supported

(com.netbotz.server.services.backup.impl.BackupJob)

Out netapp allows NFSv3 only, but allows either TCP or UDP transports; thus I assume the problem here is that for some reason DCE is only trying NFSv4.  Can you confirm that's what it's doing?  Can you tell me how to force it to use NFSv3?

(CID:113644471)

Tags (1)
4 REPLIES 4
Highlighted

Re: DCE 7.2.6 requested NFS version or transport protocol is not supported

This answer was originally posted on DCIM Support by spezialist on 2017-03-11


Hi paulds,

You tried to mount the Netapp storage NFS resource from the CentOS/RHEL-6.x workstation? You can show completely a cmdline of successful mount from CentOS/RHEL-6.x workstation? Netapp storage in logfiles writes something about the failed mount attempts?

If you are convinced, that Netapp storage is configured correctly and from DCE correctly settings of backup, perhaps it is required to update the version of DCE to actual DCE-7.4.1. I won't approve anything, but it is possible and there will be a decision (need read Release Notes on PDF Library ).

 

(CID:113644544)

Highlighted

Re: DCE 7.2.6 requested NFS version or transport protocol is not supported

This comment was originally posted on DCIM Support by paulds on 2017-03-11


Thanks for the suggestion and the link.  I see in the release notes for 7.3.1 that the required feature to specify NFS version was added in 7.3.0.  I guess we need to schedule an upgrade.

This actually raises a second question; we have DCE configured to check for updates automatically, but it doesn't seem to notify us in any way when updates are available.  Do we need to configure e-mail notifications of available updates separately somewhere?  Can you point us to instructions on how to do that?  Alternatively, is there a mailing list we could subscribe to where announcements of new releases are posted?  Thanks.

(CID:113644542)

Highlighted

Re: DCE 7.2.6 requested NFS version or transport protocol is not supported

This comment was originally posted on DCIM Support by spezialist on 2017-03-11


Ok, very much I hope that updating of DCE will help to solve a problem 😀.

Unfortunately, there is no automatic method of receipt of notifications on a new release of DCE. Therefore, if you want to be aware of all news on DCE - subscribe to the newsletter here StruxureWare for Data Centers Support. It seems to me, it is the only way. If you signed the contract on technical support with local techsupport, can agree with them, that they notified you on a new release of DCE.

With best regards.

(CID:113644546)

Highlighted

🔒 Closed

This question is closed for comments. You're welcome to start a new topic if you have further comments on this issue.